%define upstream_name 	 Exporter-Lite
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Exporter-Lite perl module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Exporter/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.340.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is an alternative to Exporter intended to provide a lightweight
subset of its functionality.  It supports "import()", @EXPORT and
@EXPORT_OK and not a whole lot else.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}
%{__make} test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
#%doc README Changes
%{perl_vendorlib}/Exporter/Lite.pm
%{_mandir}/*/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.80.0-2.mga6
+ Revision: 1027105
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 0.80.0-1.mga6
+ Revision: 923761
- update to 0.08

* Wed Oct 15 2014 umeabot <umeabot> 0.60.0-3.mga5
+ Revision: 740023
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.60.0-2.mga5
+ Revision: 684669
- Mageia 5 Mass Rebuild

* Wed Jul 30 2014 sander85 <sander85> 0.60.0-1.mga5
+ Revision: 658170
- update to 0.06

* Sun May 25 2014 sander85 <sander85> 0.50.0-1.mga5
+ Revision: 626423
- update to 0.05

* Tue Apr 15 2014 jquelin <jquelin> 0.40.0-1.mga5
+ Revision: 614765
- update to 0.04

* Fri Oct 18 2013 umeabot <umeabot> 0.20.0-3.mga4
+ Revision: 511397
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-2.mga3
+ Revision: 367004
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 22406
- cleaning spec file
- imported package perl-Exporter-Lite


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.20.0-1mdv2010.0
+ Revision: 403163
- rebuild using %%perl_convert_version

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.02-3mdv2009.0
+ Revision: 268506
- rebuild early 2009.0 package (before pixel changes)

* Sat May 24 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.02-2mdv2009.0
+ Revision: 210955
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue May 01 2007 Olivier Thauvin <nanardon@mandriva.org> 0.02-1mdv2008.0
+ Revision: 20078
- 0.02


* Fri Mar 31 2006 Buchan Milne <bgmilne@mandriva.org> 0.01-3mdk
- Rebuild
- use mkrel

* Fri Jun 17 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.01-2mdk
- Rebuild

* Thu Nov 27 2003 Stefan van der Eijk <stefan@eijk.nu> 0.01-1mdk
- initial mdk package

